# PATCH /v4/developer/keys/{id}

_Merkl API_

Update description for an API key.

### Path parameters

- `id` (string) _(required)_

## Request body

**`application/json`**
```json
{
  "type": "object",
  "properties": {
    "description": {
      "minLength": 1,
      "maxLength": 255,
      "type": "string"
    }
  }
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "type": "object",
  "properties": {
    "description": {
      "minLength": 1,
      "maxLength": 255,
      "type": "string"
    }
  }
}
```
**`multipart/form-data`**
```json
{
  "type": "object",
  "properties": {
    "description": {
      "minLength": 1,
      "maxLength": 255,
      "type": "string"
    }
  }
}
```

## Example request

```bash
curl -X PATCH "https://api.merkl.xyz//v4/developer/keys/{id}" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```